# Create a MAC Registration in the Specified Registration Pool (deprecated)

This method will be removed no sooner than 08/31/2026 and application/json is currently tied to application/vnd.ruckus.v1.1+json.

Endpoint: POST /macRegistrationPools/{poolId}/registrations
Version: UNKNOWN

## Path parameters:

  - `poolId` (string, required)
    Registration pool id
    Example: "f1ae11f2-1390-47c1-b05e-8377180c2b27"

## Request fields (application/json):

  - `id` (string)
    The unique identifier for this MAC registration.

  - `expirationDate` (string)
    Indicates when this registration expires. Will derive from the pool setting if not specified.

  - `revoked` (boolean)
    If this MAC registration is revoked or not.

  - `macAddress` (string, required)
    The mac address for this registration. Must be provided on post, and may not be changed.

  - `username` (string)
    A username for this device, it does not reflect an authenticated user that has gone through a real authentication process.

  - `email` (string)
    The email to associate with this device.
    Example: "dev@commscope.com"

  - `location` (string)
    The location of this device.

  - `deviceName` (string)
    The name of the device.

  - `createdDate` (string)
    The created date of this device.

  - `isReferenced` (boolean)
    This registration is referenced by an identity and cannot be deleted.

  - `_links` (object)

## Response 201 fields (application/json):

  - `id` (string)
    The unique identifier for this MAC registration.

  - `expirationDate` (string)
    Indicates when this registration expires. Will derive from the pool setting if not specified.

  - `revoked` (boolean)
    If this MAC registration is revoked or not.

  - `macAddress` (string, required)
    The mac address for this registration. Must be provided on post, and may not be changed.

  - `username` (string)
    A username for this device, it does not reflect an authenticated user that has gone through a real authentication process.

  - `email` (string)
    The email to associate with this device.
    Example: "dev@commscope.com"

  - `location` (string)
    The location of this device.

  - `deviceName` (string)
    The name of the device.

  - `createdDate` (string)
    The created date of this device.

  - `isReferenced` (boolean)
    This registration is referenced by an identity and cannot be deleted.

  - `_links` (object)

## Response 202 fields (application/vnd.ruckus.v1.1+json):

  - `requestId` (string, required)
    The request identifier for the operation.

  - `id` (string)
    The identifier for the created resource.

## Response 400 fields (application/json):

  - `requestId` (string)
    The request identifier for the operation.

  - `timestamp` (string)
    The timestamp of the error.

  - `debugMessage` (string)
    The debug message for the error.

  - `errors` (array)
    The list of errors for the operation.

  - `errors.code` (string)
    The code of the error.

  - `errors.message` (string)
    The message of the error.

  - `errors.reason` (string)
    The reason of the error.

  - `errors.suggestion` (string)
    The suggestion of the error.

  - `error` (object)
    The sub error for the API.

  - `error.code` (string)
    The code of the error.

  - `error.message` (string)
    The message of the error.

  - `error.reason` (string)
    The reason of the error.

  - `error.suggestion` (string)
    The suggestion of the error.

## Response 419 fields (application/json):

  - `requestId` (string)
    The request identifier for the operation.

  - `timestamp` (string)
    The timestamp of the error.

  - `debugMessage` (string)
    The debug message for the error.

  - `errors` (array)
    The list of errors for the operation.

  - `errors.code` (string)
    The code of the error.

  - `errors.message` (string)
    The message of the error.

  - `errors.reason` (string)
    The reason of the error.

  - `errors.suggestion` (string)
    The suggestion of the error.

  - `error` (object)
    The sub error for the API.

  - `error.code` (string)
    The code of the error.

  - `error.message` (string)
    The message of the error.

  - `error.reason` (string)
    The reason of the error.

  - `error.suggestion` (string)
    The suggestion of the error.


